package com.ruoyi.system.domain.assessment;

import com.ruoyi.common.core.domain.entity.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 政协评价考核对象 zx_assessment
 * 
 * @author boman
 * @date 2024-03-19
 */
public class ZxAssessment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 考核ID */
    private Long assessmentId;

    /** 父部门id */
    @Excel(name = "父部门id")
    private Long parentId;

    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;

    /** 考核项目名称 */
    @Excel(name = "考核项目")
    private String assessmentProject;
    /**
     * 考核项目id
     */
    private String assessmentProjectId;

    /** 考核标准 */
    @Excel(name = "考核标准")
    private String assessmentStandard;

    /** 考核类型 */
    @Excel(name = "考核类型")
    private String assessmentType;
    /**
     * 子类考核类型(字典值value值)
     */
    private String assessmentTypeId;

    /** 项目总分 */
    @Excel(name = "项目总分")
    private Long assessmentTotal;

    /** 分数类型 1：加分 2：减分 */
    @Excel(name = "分数类型 1：加分 2：减分")
    private String scoreType;

    /** 单项分数 */
    @Excel(name = "单项分数")
    private Long assessmentScore;

    /** 参与次数 */
    @Excel(name = "参与次数")
    private String assessmentCount;

    /** 分数说明 */
    @Excel(name = "分数说明")
    private String assessmentExplain;

    /** 是否启用（Y代表启用 n代表不启用） */
    @Excel(name = "是否启用", readConverterExp = "Y=代表启用,n=代表不启用")
    private String isUse;

    /** 子考核 */
    private List<ZxAssessment> children = new ArrayList<ZxAssessment>();

    public List<ZxAssessment> getChildren() {
        return children;
    }

    public void setChildren(List<ZxAssessment> children) {
        this.children = children;
    }

    public String getAssessmentTypeId() {
        return assessmentTypeId;
    }

    public void setAssessmentTypeId(String assessmentTypeId) {
        this.assessmentTypeId = assessmentTypeId;
    }

    public String getAssessmentProjectId() {
        return assessmentProjectId;
    }

    public void setAssessmentProjectId(String assessmentProjectId) {
        this.assessmentProjectId = assessmentProjectId;
    }

    public void setAssessmentId(Long assessmentId)
    {
        this.assessmentId = assessmentId;
    }

    public Long getAssessmentId() 
    {
        return assessmentId;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }
    public void setAssessmentProject(String assessmentProject) 
    {
        this.assessmentProject = assessmentProject;
    }

    public String getAssessmentProject() 
    {
        return assessmentProject;
    }
    public void setAssessmentStandard(String assessmentStandard) 
    {
        this.assessmentStandard = assessmentStandard;
    }

    public String getAssessmentStandard() 
    {
        return assessmentStandard;
    }
    public void setAssessmentType(String assessmentType) 
    {
        this.assessmentType = assessmentType;
    }

    public String getAssessmentType() 
    {
        return assessmentType;
    }

    public Long getAssessmentTotal() {
        return assessmentTotal;
    }

    public void setAssessmentTotal(Long assessmentTotal) {
        this.assessmentTotal = assessmentTotal;
    }

    public Long getAssessmentScore() {
        return assessmentScore;
    }

    public void setAssessmentScore(Long assessmentScore) {
        this.assessmentScore = assessmentScore;
    }

    public void setScoreType(String scoreType)
    {
        this.scoreType = scoreType;
    }

    public String getScoreType() 
    {
        return scoreType;
    }

    public void setAssessmentCount(String assessmentCount) 
    {
        this.assessmentCount = assessmentCount;
    }

    public String getAssessmentCount() 
    {
        return assessmentCount;
    }
    public void setAssessmentExplain(String assessmentExplain) 
    {
        this.assessmentExplain = assessmentExplain;
    }

    public String getAssessmentExplain() 
    {
        return assessmentExplain;
    }
    public void setIsUse(String isUse) 
    {
        this.isUse = isUse;
    }

    public String getIsUse() 
    {
        return isUse;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("assessmentId", getAssessmentId())
            .append("parentId", getParentId())
            .append("ancestors", getAncestors())
            .append("assessmentProject", getAssessmentProject())
            .append("assessmentStandard", getAssessmentStandard())
            .append("assessmentType", getAssessmentType())
            .append("assessmentTotal", getAssessmentTotal())
            .append("scoreType", getScoreType())
            .append("assessmentScore", getAssessmentScore())
            .append("assessmentCount", getAssessmentCount())
            .append("assessmentExplain", getAssessmentExplain())
            .append("isUse", getIsUse())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
